import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from '../../frame/BaseModel';
@modelOptions({
  schemaOptions: { collection: 'history' },
})
export class History extends BaseModel {
  @prop({ required: false, index: false, zh: '作业ID' })
  work_id: string;
  @prop({ required: false, index: false, zh: '作业名称' })
  work_name: string;
  @prop({ required: false, index: false, zh: '用户' })
  user_name: string;
  @prop({ required: false, index: false, zh: '组织' })
  organization: string;
  @prop({ required: false, index: false, zh: '状态' })
  status: string;
  @prop({ required: false, index: false, zh: '分区' })
  partition: string;
  @prop({
    required: false,
    index: false,
    zh: '运行节点',
  })
  node: string;
  @prop({ required: false, index: false, zh: '运行时长' })
  time: string;
  @prop({ required: false, index: false, zh: 'CPU总核' })
  cpu_total: string;
  @prop({ required: false, index: false, zh: 'GPU卡数' })
  cpu_num: string;
  @prop({ required: false, index: false, zh: '节点数量' })
  num: string;
  @prop({ required: false, index: false, zh: '提交时间' })
  submission_time: string;
  @prop({ required: false, index: false, zh: '工作目录' })
  work_menu: string;
}
