import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from '../../frame/BaseModel';
@modelOptions({
  schemaOptions: { collection: 'operate' },
})
export class Operate extends BaseModel {
  @prop({ required: false, index: false, zh: '操作IP' })
  operator_ip: string;
  @prop({ required: false, index: false, zh: '操作者' })
  operator_name: string;
  @prop({ required: false, index: false, zh: '操作时间' })
  time: string;
  @prop({ required: false, index: false, zh: '模块名称' })
  module_name: string;
  @prop({ required: false, index: false, zh: '操作' })
  operation: string;
  @prop({ required: false, index: false, zh: '操作结果' })
  result: string;
  @prop({ required: false, index: false, zh: '操作详情' })
  detail: string;
}
