import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from '../../frame/BaseModel';
@modelOptions({
  schemaOptions: { collection: 'realtime' },
})
export class Realtime extends BaseModel {
  @prop({ required: false, index: false, zh: '作业ID' })
  work_id: string;
  @prop({ required: false, index: false, zh: '作业名称' })
  work_name: string;
  @prop({ required: false, index: false, zh: '用户' })
  user_name: string;
  @prop({ required: false, index: false, zh: '组织' })
  organization: string;
  @prop({ required: false, index: false, zh: '状态' })
  status: string;
  @prop({ required: false, index: false, zh: '运行时长' })
  time: string;
  @prop({ required: false, index: false, zh: '等待时长' })
  wait_time: string;
  @prop({ required: false, index: false, zh: 'CPU(核)' })
  cpu: string;
  @prop({ required: false, index: false, zh: 'GPU(个)' })
  gpu: string;
  @prop({ required: false, index: false, zh: '分区' })
  partition: string;
  @prop({
    required: false,
    index: false,
    zh: '节点列表',
  })
  node: string;
}
