import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from '../../frame/BaseService';
import { Provide } from '@midwayjs/core';
import { Performance } from '../../entity/core/performance.entity';
import { InjectEntityModel } from '@midwayjs/typegoose';
type modelType = ReturnModelType<typeof Performance>;

@Provide()
export class PerformanceService extends BaseService<modelType> {
  @InjectEntityModel(Performance)
  model: ReturnModelType<modelType>;
}
