import { Provide } from '@midwayjs/core';
import {
  resource,
  work,
  user,
  natural,
  task,
  total,
  echarts1,
  echarts2,
  echarts3,
  echarts4,
  echarts5,
  echarts6,
  echarts7,
} from '../../data/site';

@Provide()
export class StatisticsService {
  // 资源统计
  async resource(query, { skip = '0', limit = '10' }) {
    const data = resource().slice(parseInt(skip), parseInt(limit));
    const total = data.length || 0;
    return { data, total };
  }
  // 作业统计
  async work(query, { skip = '0', limit = '10' }) {
    const data = work().slice(parseInt(skip), parseInt(limit));
    const total = data.length || 0;
    return { data, total };
  }
  // 用户统计
  async user(query, { skip = '0', limit = '10' }) {
    const data = user().slice(parseInt(skip), parseInt(limit));
    const total = data.length || 0;
    return { data, total };
  }
  // 资源管理
  async natural() {
    const data = natural();
    return data;
  }
  // 监控作业
  async task() {
    const data = task();
    return data;
  }
  // 首页统计
  async total() {
    const data = total();
    return data;
  }
  // 首页echarts
  async echarts1() {
    const data = echarts1();
    return data;
  }
  async echarts2() {
    const data = echarts2();
    return data;
  }
  async echarts3() {
    const data = echarts3();
    return data;
  }
  async echarts4() {
    const data = echarts4();
    return data;
  }
  async echarts5() {
    const data = echarts5();
    return data;
  }
  async echarts6() {
    const data = echarts6();
    return data;
  }
  async echarts7() {
    const data = echarts7();
    return data;
  }
}
