import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from '../../frame/BaseModel';
@modelOptions({
  schemaOptions: { collection: 'node' },
})
export class Node extends BaseModel {
  @prop({ required: false, index: false, zh: '节点名称' })
  name: string;
  @prop({ required: false, index: false, zh: '节点类型'})
  type: string;
  @prop({ required: false, index: false, zh: 'CPU已用/总数'})
  cpu_num: string;
  @prop({ required: false, index: false, zh: 'GPU已用/总数' })
  gpu_num: string;
  @prop({ required: false, index: false, zh: '分区' })
  partition: string;
  @prop({ required: false, index: false, zh: '运行状态' })
  status: string;
  @prop({ required: false, index: false, zh: '当前作业数' })
  work_num: string;
}
