import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from '../../frame/BaseModel';
@modelOptions({
  schemaOptions: { collection: 'partition' },
})
export class Partition extends BaseModel {
  @prop({ required: false, index: false, zh: '分区名称' })
  name: string;
  @prop({ required: false, index: false, zh: '当前作业数' })
  work_num: string;
  @prop({ required: false, index: false, zh: '节点数' })
  num: string;
  @prop({ required: false, index: false, zh: 'CPU核数' })
  cpu_num: string;
  @prop({ required: false, index: false, zh: 'GPU核数'})
  gpu_num: string;
  @prop({ required: false, index: false, zh: '节点' })
  node: Array<any>;
  @prop({ required: false, index: false, zh: '描述' })
  remark: string;
}
