import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from '../../frame/BaseService';
import { Provide } from '@midwayjs/core';
import { History } from '../../entity/core/history.entity';
import { InjectEntityModel } from '@midwayjs/typegoose';
type modelType = ReturnModelType<typeof History>;

@Provide()
export class HistoryService extends BaseService<modelType> {
  @InjectEntityModel(History)
  model: ReturnModelType<modelType>;
}
