import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from '../../frame/BaseService';
import { Provide } from '@midwayjs/core';
import { Node } from '../../entity/core/node.entity';
import { InjectEntityModel } from '@midwayjs/typegoose';
type modelType = ReturnModelType<typeof Node>;

@Provide()
export class NodeService extends BaseService<modelType> {
  @InjectEntityModel(Node)
  model: ReturnModelType<modelType>;
}
