import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from '../../frame/BaseService';
import { Provide } from '@midwayjs/core';
import { Operate } from '../../entity/core/operate.entity';
import { InjectEntityModel } from '@midwayjs/typegoose';
type modelType = ReturnModelType<typeof Operate>;

@Provide()
export class OperateService extends BaseService<modelType> {
  @InjectEntityModel(Operate)
  model: ReturnModelType<modelType>;
}
