import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from '../../frame/BaseService';
import { Provide } from '@midwayjs/core';
import { Partition } from '../../entity/core/partition.entity';
import { InjectEntityModel } from '@midwayjs/typegoose';
type modelType = ReturnModelType<typeof Partition>;

@Provide()
export class PartitionService extends BaseService<modelType> {
  @InjectEntityModel(Partition)
  model: ReturnModelType<modelType>;
}
