import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from '../../frame/BaseService';
import { Provide } from '@midwayjs/core';
import { Realtime } from '../../entity/core/realtime.entity';
import { InjectEntityModel } from '@midwayjs/typegoose';
type modelType = ReturnModelType<typeof Realtime>;

@Provide()
export class RealtimeService extends BaseService<modelType> {
  @InjectEntityModel(Realtime)
  model: ReturnModelType<modelType>;
}
