import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from '../../frame/BaseService';
import { Provide } from '@midwayjs/core';
import { Organization } from '../../entity/system/organization.entity';
import { InjectEntityModel } from '@midwayjs/typegoose';
type modelType = ReturnModelType<typeof Organization>;

@Provide()
export class OrganizationService extends BaseService<modelType> {
  @InjectEntityModel(Organization)
  model: ReturnModelType<modelType>;
}
